/////////////////////////////////////////////////////////////////////////////////////////////
// copy the files from this folder inside your game folder
// open rpg1.wmp, build it and run it using rpg1.wdl to see my demo
// include fogofwar.wdl in your project and set the proper values for 32, 128 and 2000
// read the article in the magazine for more information
/////////////////////////////////////////////////////////////////////////////////////////////

function manage_fog();

/////////////////////////////////////////////////////////////////////////////////////////////

string fogsprite_tga = <fogsprite.tga>;

/////////////////////////////////////////////////////////////////////////////////////////////

starter create_fog_sprites()
{
	while (player == null) {wait (1);}
	var row_index = 0;
	var column_index = 0;
	while (row_index < 32)
	{
		while (column_index < 32)
		{
			column_index += 1;
			temp.x = column_index * 128 - 2000;
			temp.y = row_index * 128 - 2000;
			temp.z = -1000;
			ent_create (fogsprite_tga, temp.x, manage_fog);
		}
		column_index = 0;
		row_index += 1;
	}
}

function manage_fog()
{
	my.tilt = 90;
	my.alpha = 100;
	my.oriented = on;
	my.transparent = on;
	my.passable = on;
	while (1)
	{
		if (vec_dist(player.x, my.x) < 350)
		{
			my.alpha = 0;
		}
		else
		{
			my.alpha = 100;
		}
		wait (1);
	}
}
